# Create contacts

Creates a batch of up to 1000 contacts as specified by the list of contacts.

The contacts are created asynchronously. A CONTACT_CREATE event will be generated for every successfully created contact.

Endpoint: POST /v1/projects/{project_id}/contacts
Version: 1.0
Security: BearerAuth

## Path parameters:

  - `project_id` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

## Request fields (application/json):

  - `contacts` (array, required)
    List of contacts to be created in Conversation API.

  - `contacts.channel_identities` (array, required)
    List of channel identities. Array must contain at least one item.

  - `contacts.channel_identities.identity` (string, required)
    The channel identity. This will differ from channel to channel. For example, a phone number for SMS, WhatsApp, and Viber Business.

  - `contacts.channel_identities.channel` (string, required)
    The identifier of the channel you want to include. Must be one of the enum values.
    Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC"

  - `contacts.channel_identities.app_id` (string)
    Required if using a channel that uses app-scoped channel identities. Currently, FB Messenger, Instagram, LINE, and WeChat use app-scoped channel identities, which means contacts will have different channel identities on different Conversation API apps. These can be thought of as virtual identities that are app-specific and, therefore, the app_id must be included in the API call.

  - `contacts.language` (string, required)
    Enum: "AF", "SQ", "AR", "AZ", "BN", "BG", "CA", "ZH", "ZH_CN", "ZH_HK", "ZH_TW", "HR", "CS", "DA", "NL", "EN", "EN_GB", "EN_US", "ET", "FIL", "FI", "FR", "DE", "EL", "GU", "HA", "HE", "HI", "HU", "ID", "GA", "IT", "JA", "KN", "KK", "KO", "LO", "LV", "LT", "MK", "MS", "ML", "MR", "NB", "FA", "PL", "PT", "PT_BR", "PT_PT", "PA", "RO", "RU", "SR", "SK", "SL", "ES", "ES_AR", "ES_ES", "ES_MX", "SW", "SV", "TA", "TE", "TH", "TR", "UK", "UR", "UZ", "VI", "ZU"

  - `contacts.channel_priority` (array)
    List of channels defining the channel priority. The channel at the top of the list is tried first.
    Enum: "WHATSAPP", "RCS", "SMS", "MESSENGER", "VIBERBM", "MMS", "INSTAGRAM", "TELEGRAM", "KAKAOTALK", "KAKAOTALKCHAT", "LINE", "WECHAT", "APPLEBC"

  - `contacts.display_name` (string)
    The display name. A default 'Unknown' will be assigned if left empty.

  - `contacts.email` (string)
    Email of the contact.

  - `contacts.external_id` (string)
    Contact identifier in an external system.

  - `contacts.metadata` (string)
    Metadata associated with the contact. Up to 1024 characters long.

## Response 403 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `status` (string)

  - `details` (array)


## Response 200 fields

## Response 401 fields
